Bug 127109 - EDITING Deletion of text creates undo entry: “Delete $1”
Summary: EDITING Deletion of text creates undo entry: “Delete $1”
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: László Németh
URL:
Whiteboard: target:7.0.0 target:6.4.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Track-Changes
  Show dependency treegraph
 
Reported: 2019-08-23 08:42 UTC by Gabor Kelemen
Modified: 2020-05-10 12:43 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the problem in Writer (72.14 KB, image/png)
2019-08-23 08:42 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2019-08-23 08:42:49 UTC
Created attachment 153586 [details]
Screenshot of the problem in Writer

In current master when deleting some words with change tracking enabled the generated Undo entry reads “Delete $1”. This does not happen in 6.3 or with change tracking disabled.


Steps to reproduce:
    1. Enter some text in Writer, like lorem ipsum
    2. Enable change tracking
    3. Delete a word like lorem

Actual results:
Edit menu shows “Undo: Delete $1”

Expected results:
Edit menu shows “Undo: Delete lorem”

LibreOffice details:
Version: 6.4.0.0.alpha0+ (x64)
Build ID: 3e64065612acec2eb29aa21e2b515953422256d7
CPU threads: 4; OS: Windows 6.3; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@62-TDF, Branch:master, Time: 2019-08-15_22:57:26
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: CL

Bibisected using bibisect-win64-6.4 to:
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=b69c518df68ce673b28d589da6626bd3d860f309 

author
László Németh <nemeth@numbertext.org> 2019-06-18 19:10:21 +0200 
committer
László Németh <nemeth@numbertext.org> 2019-06-24 09:37:11 +0200 
summary: tdf#54819 keep style & numbering at tracked deletion

Adding CC to: László Németh
Comment 1 Julien Nabet 2019-08-26 20:07:58 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 2 Commit Notification 2020-04-21 11:30:30 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cfac976e27f310014dcd866000c874014fd6b173

tdf#127109 Writer: fix Undo entry "Delete $1"

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-04-22 11:29:18 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/d4550d1ebed19d1e767113a5c5d98bc718bce57c

tdf#127109 Writer: fix Undo entry "Delete $1"

It will be available in 6.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 BogdanB 2020-05-10 12:43:13 UTC
Everything ok.
Verified on
Version: 6.4.3.2
Build ID: libreoffice-6.4.3.2-snap1
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded

Also on
Version: 7.0.0.0.alpha1
Build ID: 6a03b2a54143a9bc0c6d4c7f1...
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded